Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Interface CategoryLabelGenerator

All Known Implementing Classes:
  IntervalCategoryLabelGenerator, StandardCategoryLabelGenerator

public interface CategoryLabelGenerator

A category item label generator is an object that can be assigned to a `CategoryItemRenderer` and that assumes responsibility for creating text items to be used as labels for the items in a `CategoryPlot`.

To assist with cloning charts, classes that implement this interface should also implement the `PublicCloneable` interface.

Method Summary
`java.lang.String` | `generateLabel(CategoryDataset dataset, int series, int category)` Generates a label for the specified item.

Method Detail

### generateLabel

    public java.lang.String generateLabel(CategoryDataset dataset,
                                          int series,
                                          int category)

  Generates a label for the specified item. The label is typically a formatted version of the data value, but any text can be used.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `category` - the category index (zero-based).
  Returns:
    the label (possibly `null`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD